import { OnInit, EventEmitter, SimpleChanges, WritableSignal } from "@angular/core";
import { DataService } from '../../services/data.service';
import { I18nService } from "../../i18n.service";
import * as i0 from "@angular/core";
export declare class SearchBoxComponent implements OnInit {
    private dataService;
    i18nService: I18nService;
    placeHolderText: string;
    question: any;
    apiMeta: any;
    id: string;
    readOnly: boolean;
    mode: 'view' | 'edit' | 'print';
    searchValueChange: EventEmitter<any>;
    SearchItem: any;
    filterName: string;
    finalResults: WritableSignal<any[]>;
    searchKeyWord: string;
    newResult: any;
    showResult: boolean;
    noResult: boolean;
    showSuggestion: boolean;
    private el;
    private serv;
    private tkn;
    isLoading: boolean;
    viewFilterName: string;
    isSingleFieldChange: boolean;
    valueObj: any;
    constructor(dataService: DataService, i18nService: I18nService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private resetComponentState;
    clearList(): void;
    getSourceDataLocal(event: any): void;
    getSourceData: (keyword: string) => void;
    private getNestedValue;
    private getCombinedValuesFromColumns;
    getValues(element: any, columns: any): any;
    getKeys(obj: any): string[];
    clickItem(event: any): void;
    ngOnDestroy(): void;
    removeCharacters(questionText: string): string;
    inputValue(event: any, ques: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchBoxComponent, "lib-search-box", never, { "placeHolderText": { "alias": "placeHolderText"; "required": false; }; "question": { "alias": "question"; "required": false; }; "apiMeta": { "alias": "apiMeta"; "required": false; }; "id": { "alias": "id"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "filterName": { "alias": "filterName"; "required": false; }; }, { "searchValueChange": "searchValueChange"; }, never, never, true, never>;
}
